MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030130Open CASCADE[OCCT] OCCT:Codingpublic2018-09-11 18:142018-09-15 17:11
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformMSVC 2017OSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030130: Coding Rules - MSVC 2017 gives warnings about using of std::fpos::seekpos() within RWStl
DescriptionCompilation of RWStl_Reader.cxx with MSVC 2017 gives 12 warnings like this:
1>c:\git\occt\src\rwstl\rwstl_reader.cxx(265): warning C4996: 'std::fpos<_Mbstatet>::seekpos': 
warning STL4019: The member std::fpos::seekpos() is non-Standard, and is preserved only for compatibility 
with workarounds for old versions of Visual C++. It will be removed in a future release, and in this 
release always returns 0. Please use standards-conforming mechanisms to manipulate fpos, such as conversions 
to and from streamoff, or an integral type, instead. If you are receiving this message while compiling 
Boost.IOStreams, a fix has been submitted upstream to make Boost use standards-conforming mechanisms, 
as it does for other compilers. You can define _SILENCE_FPOS_SEEKPOS_DEPRECATION_WARNING to acknowledge 
that you have received this warning, or define _REMOVE_FPOS_SEEKPOS to remove std::fpos::seekpos entirely.

1>c:\program files (x86)\microsoft visual studio\2017\professional\vc\tools\msvc\14.15.26726\include\iosfwd(59): 
note: see declaration of 'std::fpos<_Mbstatet>::seekpos'
Steps To ReproduceBuild with MSVC 14.8 (Visual Studio 2017)
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028840closedbugmaster Data Exchange - rewrite the STL Reader/Writer 

-  Notes
(0079139)
abv (manager)
2018-09-12 07:08

I confirm the problem exists with MSVC 15.8.4 (but not with MSVC 15.2)
(0079160)
git (administrator)
2018-09-12 22:41

Branch CR30130 has been created by abv.

SHA-1: cdfcd9f6b1758c9db226cf6840abb742ff04725d


Detailed log of new commits:

Author: abv
Date: Wed Sep 12 22:38:38 2018 +0300

    0030130: Coding Rules - MSVC 2017 gives warnings about using of std::fpos::seekpos() within RWStl
    
    Use of deprecated method std::fpos::seekpos() is avoided with MSVC 14 and above.
(0079161)
git (administrator)
2018-09-12 22:42

Branch CR30130 has been updated forcibly by abv.

SHA-1: 820813e4be6215bf4b9f67a173ce4aee4315bff5
(0079166)
git (administrator)
2018-09-13 14:34

Branch CR30130 has been updated forcibly by abv.

SHA-1: af66e4e484ed9281f2ae4e0948b6c1dd8aafc604
(0079167)
abv (manager)
2018-09-13 14:38

I have pushed correction to branch CR30130, please review.

Note that the fix affects only MSVC compilers and specific use case: reading of large (> 4 GB) Ascii STL files. It has been tested manually with MSVC 10, 11, 12, 14, 14.15; no need to run general tests.
(0079173)
msv (developer)
2018-09-13 16:59

Reviewed.

- Related Changesets
occt: master 6b1800cb
Timestamp: 2018-09-12 19:38:38
Author: abv
Committer: bugmaster
Details ] Diff ]
0030130: Coding Rules - MSVC 2017 gives warnings about using of std::fpos::seekpos() within RWStl

Use of deprecated method std::fpos::seekpos() is avoided with MSVC 11 (Visual Studio 2012) and above.
mod - src/RWStl/RWStl_Reader.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-11 18:14 msv New Issue
2018-09-11 18:14 msv Assigned To => abv
2018-09-11 18:18 kgv Relationship added child of 0028840
2018-09-11 18:19 kgv Product Version 7.3.0 => 7.2.0
2018-09-11 18:19 kgv Summary MSVC 2017 gives warnings about using of std::fpos::seekpos() => Coding Rules - MSVC 2017 gives warnings about using of std::fpos::seekpos() within RWStl
2018-09-12 07:08 abv Note Added: 0079139
2018-09-12 07:08 abv Status new => assigned
2018-09-12 22:41 git Note Added: 0079160
2018-09-12 22:42 git Note Added: 0079161
2018-09-13 14:34 git Note Added: 0079166
2018-09-13 14:38 abv Note Added: 0079167
2018-09-13 14:38 abv Assigned To abv => msv
2018-09-13 14:38 abv Status assigned => resolved
2018-09-13 14:38 abv Steps to Reproduce Updated View Revisions
2018-09-13 16:59 msv Note Added: 0079173
2018-09-13 16:59 msv Assigned To msv => bugmaster
2018-09-13 16:59 msv Status resolved => reviewed
2018-09-13 20:46 bugmaster Test case number => Not needed
2018-09-13 20:46 bugmaster Status reviewed => tested
2018-09-15 17:11 bugmaster Changeset attached => occt master 6b1800cb
2018-09-15 17:11 bugmaster Status tested => verified
2018-09-15 17:11 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker